@echo off
echo Copying OS.nb.payload...
copy ..\ROM\OS.nb.payload OS.nb.payload
if not "%errorlevel%"=="0" goto error

REM ===========================================================================================

echo.
..\TOOLS\implantxip xip.bin OS.nb.payload
if not "%errorlevel%"=="0" goto error

REM ===========================================================================================

echo.
..\TOOLS\IMGFS\ImgfsFromNb   OS.nb.payload imgfs.bin
if not "%errorlevel%"=="0" goto error

..\TOOLS\IMGFS\ImgfsFromDump imgfs.bin imgfs-new.bin
if not "%errorlevel%"=="0" goto error

..\TOOLS\IMGFS\ImgfsToNb     imgfs-new.bin OS.nb.payload OS-new.nb.payload -bigstoragemove
if not "%errorlevel%"=="0" goto error

..\TOOLS\IMGFS\NBMerge       -kaiser OS-new.nb
if not "%errorlevel%"=="0" goto error

REM ===========================================================================================

del imgfs-new.bin
del imgfs.bin
del OS.nb.payload
del OS-new.nb.payload

REM ===========================================================================================

exit 0

:error
echo.
echo ERROR! (errorlevel: %errorlevel%)
pause
exit 1